Draft Rectangle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rectangle and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft Ellipse.svg Ellipse
Page suivante: Polygone Draft Polygon.svg Arrow-right.svg

Draft Rectangle.svg Draft Rectangle

Emplacement du menu
Drafting → Rectangle
Ateliers
Draft, Arch
Raccourci par défaut
R E
Introduit dans la version
0.7
Voir aussi
Aucun

Description

La commande Draft Rectangle.svg Draft Rectangle crée un rectangle dans le plan de travail en cours à partir de deux points.

Vous pouvez éventuellement ajouter un chanfrein ou un congé circulaire à 45 degrés à chaque coin du rectangle et le diviser en une série de lignes et de colonnes de même taille.

Draft Rectangle example.jpg

Rectangle défini par deux points

Utilisation

Voir aussi: Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Draft Rectangle.svg Créer un rectangle....
    • Sélectionnez l'option Drafting → Draft Rectangle.svg Rectangle dans le menu.
    • Utilisez le raccourci clavier : R puis E.
  2. Le panneau de tâches Rectangle s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez le deuxième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point. Ce point ne doit pas être contraint sur l'axe X, Y ou Z.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier point, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur L ou cliquez sur la case Rempli pour activer le mode de remplissage. Si le mode rempli est activé, le rectangle créé aura la valeur DonnéesMake Face true et aura une face remplie.
  • Appuyez sur T ou cliquez sur la case Continue pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des rectangles.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour interrompre la commande.

Remarques

  • Un Draft Rectangle peut être édité avec la commande Draft Editer.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier la valeur initiale du mode rempli : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Remplir les objets avec des faces si possible. La modification du mode de remplissage dans un panneau de tâches annule cette préférence pour la session FreeCAD en cours.
  • Si l'option Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Utiliser les primitives de Part si possible est cochée, la commande créera un Part Plan au lieu d'un Draft Rectangle.

Propriétés

Voir aussi: Éditeur de propriétés

Un objet Draft Rectangle est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face du rectangle. La valeur sera 0.0 si DonnéesMake Face est false.
  • DonnéesChamfer Size (Length) : spécifie la longueur des chanfreins aux coins du rectangle.
  • DonnéesColumns (Integer) : indique le nombre de colonnes de taille égale dans lesquelles le rectangle est divisé.
  • DonnéesFillet Radius (Length) : spécifie le rayon des congés aux coins du rectangle.
  • DonnéesHeight (Distance) : spécifie la hauteur du rectangle.
  • DonnéesLength (Distance) : spécifie la longueur du rectangle.
  • DonnéesMake Face (Bool) : spécifie si le rectangle forme un visage ou non. Si c'est true, une face est créée, sinon seul le périmètre est considéré comme faisant partie de l'objet.
  • DonnéesRows (Integer) : spécifie le nombre de lignes de taille égale dans lesquelles le rectangle est divisé.

Vue

Draft

  • VuePattern (Enumeration) : spécifie le Draft Motif avec lequel remplir la face du rectangle. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est Flat Lines.
  • VuePattern Size (Float) : spécifie la taille du Draft Motif.
  • VueTexture Image (File) : spécifie le chemin d'accès au fichier image qui doit être mappé sur la face du rectangle. Si vous videz cette propriété, l'image sera supprimée. Le rectangle doit avoir les mêmes proportions que l'image pour éviter les distorsions.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un Draft Rectangle, utilisez la méthode make_rectangle (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeRectangle.

rectangle = make_rectangle(length, height, placement=None, face=None, support=None)
  • Crée un objet rectangle avec length dans la direction X et height dans la direction Y, avec des unités en millimètres.
  • Si placement est None, le rectangle est créé à l'origine et la longueur sera parallèle à l'axe X.
  • Si face est True, le rectangle fera une face, c'est-à-dire qu'il apparaîtra rempli.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle1 = Draft.make_rectangle(4000, 1000)
rectangle2 = Draft.make_rectangle(1000, 4000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 45))

rectangle3 = Draft.make_rectangle(3500, 250, placement=place3)

doc.recompute()


Arrow-left.svg Page précédente: Draft Ellipse.svg Ellipse
Page suivante: Polygone Draft Polygon.svg Arrow-right.svg